Run of fresh-snapshots for libblockdev

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot libblockdev 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
Running ['new-upstream', '--snapshot']
Opening branch at https://salsa.debian.org/utopia-team/libblockdev.git/,branch=debian%2Fsid
Using cached branch https://janitor.debian.net/git/libblockdev/,branch=master
Total 11039 (delta 0), reused 0 (delta 0), pack-reused 11039
Total 348 (delta 37), reused 37 (delta 37), pack-reused 311
Total 623 (delta 382), reused 601 (delta 370), pack-reused 0

All changes applied successfully.
Workspace ready - starting.
Using upstream branch https://github.com/storaged-project/libblockdev.git (from configuration)
Total 2336 (delta 908), reused 898 (delta 854), pack-reused 1351
Using version string 2.25+git20210325.d86948b.
No upstream upstream-revision format specified, trying tag:2.25
No upstream upstream-revision format specified, trying tag:libblockdev-2.25
No upstream upstream-revision format specified, trying tag:v2.25
No upstream upstream-revision format specified, trying tag:v.2.25
Old upstream version '2.25' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/storaged-project/libblockdev.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
Looking for upstream libblockdev/2.25+git20210325.d86948b in upstream branch <breezy.memorybranch.MemoryBranch object at 0x7fea3d2d33a0>.
Searching for revision importing libblockdev version 2.25 on packaging branch, tag debian/2.25-1, tag debian/2.25-2.
Upstream import of 2.25 lacks a tag. Set one by running: brz tag -rrevid:git-v1:5b4949240fc44b69579949f4b312e3b61bca8beb upstream/2.25
Imported libblockdev_2.25+git20210325.d86948b.orig.tar.gz with pristine-tar.
Text conflict in tests/fake_utils/lib_missing_utils
Text conflict in tests/fake_utils/dm_low_version
Text conflict in tests/fake_utils/swap_low_version
Text conflict in tests/test_configs/plugin_multi_conf.d
Text conflict in tests/fake_utils/mpath_low_version
Text conflict in tests/fake_utils/btrfs_low_version
Text conflict in tests/fake_utils/mpath_no_mpathconf
Text conflict in tests/fake_utils/btrfs_new_version_format
Text conflict in tests/fake_utils/mdadm_extra_name_stuff
Text conflict in tests/fake_utils/mdadm_fw_RAID_examine
Text conflict in tests/test_configs/plugin_prio_conf.d
Text conflict in tests/fake_utils/swap_no_swapoff
Text conflict in tests/fake_utils/btrfs_subvols_docker
Text conflict in tests/fake_utils/utils_fake_util
Text conflict in tests/fake_utils/mdraid_low_version
Text conflict in tests/fake_utils/lvm_low_version
Text conflict in tests/fake_utils/swap_no_swapon
Text conflict in tests/fake_utils/loop_low_version
Text conflict in tests/fake_utils/mdadm_fw_RAID_examine_migrate
Text conflict in tests/fake_utils/mdadm_no_metadata_examine
20 conflicts encountered.

Summary

Upstream version: 2.25+git20210325.d86948b.

Full worker log Full dist log